Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1566755 - incremental update of content-view with errata RHSA-2018:0549 brings in additional packages
Summary: incremental update of content-view with errata RHSA-2018:0549 brings in addit...
Keywords:
Status: CLOSED DUPLICATE of bug 1508169
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.2.14
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 23:18 UTC by Paul Dudley
Modified: 2018-04-20 20:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 17:33:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paul Dudley 2018-04-12 23:18:34 UTC
Description of problem:
Incremental update with this errata ends with the following:
 - # hammer content-view version incremental-update --content-view-version-id='24' --errata-ids='RHSA-2018:0549' --resolve-dependencies='no' --update-all-hosts='no' --propagate-all-composites='yes'
...
  Errata:
        RHSA-2018:0549
  Packages:
        firefox-52.7.2-1.el6_9.x86_64
        libgcc-4.4.7-18.el6_9.2.x86_64
        libstdc++-4.4.7-18.el6_9.2.x86_64

When only Firefox is included in the errata itself.


How reproducible:
100%

This seems to be related to (caused by?) https://pulp.plan.io/issues/2478 more than anything else.

More info:
Errata entry in psql seems to have expected output and associations:
foreman=# select * from katello_erratum_packages where erratum_id = 20577;
   id   | erratum_id |             nvrea             |  name   |             filename              
--------+------------+-------------------------------+---------+-----------------------------------
 166272 |      20577 | firefox-52.7.2-1.el6_9.x86_64 | firefox | firefox-52.7.2-1.el6_9.x86_64.rpm
 166269 |      20577 | firefox-52.7.2-1.el7_4.i686   | firefox | firefox-52.7.2-1.el7_4.i686.rpm
 166104 |      20577 | firefox-52.7.2-1.el7_4.x86_64 | firefox | firefox-52.7.2-1.el7_4.x86_64.rpm
(3 rows)

Comment 1 pulp-infra@redhat.com 2018-04-13 00:35:01 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 2 pulp-infra@redhat.com 2018-04-13 00:35:04 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 Brad Buckingham 2018-04-20 17:33:42 UTC

*** This bug has been marked as a duplicate of bug 1508169 ***


Note You need to log in before you can comment on or make changes to this bug.